logo
Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Options
Go to last post Go to first unread
Offline Lemonde  
#1 Posted : 24 August 2018 08:44:08(UTC)
Lemonde

Rank: Advanced Member

Groups: Registered
Joined: 08/01/2017(UTC)
Posts: 743
United Kingdom
Location: London

Thanks: 22 times
Was thanked: 12 time(s) in 10 post(s)
What is the process for administering CentOS on Hyper-V 2016 onwards - is there a Linux installation of Integration Services?

Currently we are seeing:

Log Name: Microsoft-Windows-Hyper-V-Integration-Admin
Source: Microsoft-Windows-Hyper-V-Integration-KvpExchange
Date: 15/08/2018 08:57:44
Event ID: 4096
Task Category: None
Level: Error
Keywords:
User: NT VIRTUAL MACHINE\A6645A11-1202-4D78-B5A7-90780E2FED89
Computer: %COMPUTERNAME%.domain.suffix
Description:
'VMNAME': The Data Exchange integration service is either not enabled, not running or not initialized. (Virtual machine ID A6645A11-1202-4D78-B5A7-90780E2FED89)
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
<System>
<Provider Name="Microsoft-Windows-Hyper-V-Integration-KvpExchange" Guid="{82D60869-5ADA-4D49-B76A-309B09666584}" />
<EventID>4096</EventID>
<Version>0</Version>
<Level>2</Level>
<Task>0</Task>
<Opcode>0</Opcode>
<Keywords>0x8000000000000000</Keywords>
<TimeCreated SystemTime="2018-08-15T07:57:44.859982300Z" />
<EventRecordID>2141</EventRecordID>
<Correlation ActivityID="{73901FDD-7AE3-0012-EEDC-C4C4900ED401}" />
<Execution ProcessID="5628" ThreadID="6520" />
<Channel>Microsoft-Windows-Hyper-V-Integration-Admin</Channel>
<Computer>%COMPUTERNAME%.domain.suffix</Computer>
<Security UserID="USERID" />
</System>
<UserData>
<VmlEventLog xmlns:auto-ns2="http://schemas.microsoft.com/win/2004/08/events" xmlns="http://www.microsoft.com/Windows/Virtualization/Events">
<VmName>VMNAME</VmName>
<VmId>A6645A11-1202-4D78-B5A7-90780E2FED89</VmId>
<Param1>
</Param1>
<Param2>
</Param2>
<Param3>
</Param3>
</VmlEventLog>
</UserData>
</Event>
Sponsor

If you ever wanted to thank us, you can send us Bitcoins using: 12G4A52Znm5s35buKDEmKU2p2vQY69Nsyo

or PayPal with This Link

All opinions expressed within these pages are sent in by members of the public or by our staff in their spare time, and as such do not represent any opinion held by sircles.net Ltd or their partners.

Offline Lemonde  
#2 Posted : 24 August 2018 08:50:21(UTC)
Lemonde

Rank: Advanced Member

Groups: Registered
Joined: 08/01/2017(UTC)
Posts: 743
United Kingdom
Location: London

Thanks: 22 times
Was thanked: 12 time(s) in 10 post(s)
Also seeing this, which I presume is the same issue - is there a version that has been installed as part of the install process?
Log Name: Microsoft-Windows-Hyper-V-Integration-Admin
Source: Microsoft-Windows-Hyper-V-Integration-KvpExchange
Date: 15/08/2018 08:50:57
Event ID: 4010
Task Category: None
Level: Warning
Keywords:
User: NT VIRTUAL MACHINE\A6645A11-1202-4D78-B5A7-90780E2FED89
Computer: VMHOSTNAME.domain.suffix
Description:
Hyper-V Data Exchange connected to virtual machine 'CentOS', but the version does not match the version expected by Hyper-V (Virtual machine ID A6645A11-1202-4D78-B5A7-90780E2FED89). Framework version: Negotiated (3.0) - Expected (3.0); Message version: Negotiated (4.0) - Expected (5.0). This is an unsupported configuration. This means that technical support will not be provided until this problem is resolved. To fix this problem, upgrade the integration services. To upgrade, connect to the virtual machine and select Insert Integration Services Setup Disk from the Action menu.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
<System>
<Provider Name="Microsoft-Windows-Hyper-V-Integration-KvpExchange" Guid="{ID}" />
<EventID>4010</EventID>
<Version>0</Version>
<Level>3</Level>
<Task>0</Task>
<Opcode>0</Opcode>
<Keywords>0x8000000000000000</Keywords>
<TimeCreated SystemTime="2018-08-15T07:50:57.811561900Z" />
<EventRecordID>2136</EventRecordID>
<Correlation />
<Execution ProcessID="5628" ThreadID="5996" />
<Channel>Microsoft-Windows-Hyper-V-Integration-Admin</Channel>
<Computer>VMHOSTNAME.domain.suffix</Computer>
<Security UserID="ID" />
</System>
<UserData>
<VmlEventLog xmlns:auto-ns2="http://schemas.microsoft.com/win/2004/08/events" xmlns="http://www.microsoft.com/Windows/Virtualization/Events">
<VmName>CentOS</VmName>
<VmId>A6645A11-1202-4D78-B5A7-90780E2FED89</VmId>
<Param1>Negotiated (3.0) - Expected (3.0)</Param1>
<Param2>Negotiated (4.0) - Expected (5.0)</Param2>
<Param3>
</Param3>
</VmlEventLog>
</UserData>
</Event>
Offline Lemonde  
#3 Posted : 24 August 2018 08:51:26(UTC)
Lemonde

Rank: Advanced Member

Groups: Registered
Joined: 08/01/2017(UTC)
Posts: 743
United Kingdom
Location: London

Thanks: 22 times
Was thanked: 12 time(s) in 10 post(s)
Device 'Microsoft Synthetic Display Controller' in 'CentOS' is loaded but has a different version from the server. Server version 3.3 Client version 3.2 (Virtual machine ID). The device will work, but this is an unsupported configuration. This means that technical support will not be provided until this problem is resolved. To fix this problem, upgrade the integration services. To upgrade, connect to the virtual machine and select Insert Integration Services Setup Disk from the Action menu.
Offline Lemonde  
#4 Posted : 24 August 2018 08:55:34(UTC)
Lemonde

Rank: Advanced Member

Groups: Registered
Joined: 08/01/2017(UTC)
Posts: 743
United Kingdom
Location: London

Thanks: 22 times
Was thanked: 12 time(s) in 10 post(s)
Offline Lemonde  
#5 Posted : 10 March 2020 08:18:50(UTC)
Lemonde

Rank: Advanced Member

Groups: Registered
Joined: 08/01/2017(UTC)
Posts: 743
United Kingdom
Location: London

Thanks: 22 times
Was thanked: 12 time(s) in 10 post(s)
The Linux integration software has stopped this message appearing and allows for most of the normal Hyper-v features such as shutdown and time sync., so it is definitely worth installing on your Centos 7 Hyper-V hosted boxes.
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.

Trustpilot